curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "type": "pvc", "pvc": { "disk_size": 0, "pvc_type": "string" }}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "string", "type": "pvc", "pvc": { "disk_size": 0, "pvc_type": "string", }, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/datasets/{Dataset_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "type": "pvc", "pvc": { "disk_size": 0, "pvc_type": "string" } }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Dataset id
Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Request Bodyrequired
Section titled “Request Bodyrequired”object
Name of the dataset
Type of the dataset
PVC configuration, required if type is pvc
object
Disk size for the PVC
Type of the PVC
Responses
Section titled “Responses”Success response with updated PVC-based dataset details.
object
HTTP status code for the operation.
object
Unique identifier of the dataset.
Name of the dataset.
ID of the project associated with the dataset.
Description of the dataset.
Type of storage used for the dataset.
object
Unique identifier of the PVC.
Updated disk size of the PVC in GB.
Type of PVC.
Current status of the PVC.
Log detailing the PVC status.
Timestamp of PVC creation.
Timestamp of last PVC update.
Details of the bucket if applicable.
object
Access key details if applicable.
object
Type of encryption used.
Indicates if encryption is enabled.
Status of the dataset.
object
User ID of the creator.
Name of the creator.
Email of the creator.
Username of the creator.
Timestamp of dataset creation.
Timestamp of last update.
Any errors encountered during the operation.
object
Result message of the operation.
Example
{ "code": 200, "data": { "id": 1311, "name": "tir-dataset-111418381010", "project_id": 124, "storage_type": "pvc", "pvc": { "id": 262, "disk_size": 45, "pvc_type": "custom_pvc", "status": "ready", "status_log": "{'message': 'Bound', 'phase': 'ready', 'state': ''}", "created_at": "2024-11-14T13:08:17.551211Z", "updated_at": "2024-11-14T13:12:25.137057Z" }, "encryption_enable": false, "status": "OK", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-14T13:08:17.555911Z", "updated_at": "2024-11-14T13:12:25.131864Z" }, "errors": {}, "message": "Disk Size upgraded successfully. It can take a few minutes for the changes to get reflected"}